%define debug_package %{nil}
%define versrc	%(echo %{version}| tr -d .)

Name:		biew
Version:	6.1.0
Release:	%mkrel 10
Summary:	Console hex viewer/editor and disassembler
License:	GPLv2+
Group:		File tools
URL:		http://sourceforge.net/p/beye/wiki/Home/
Source:		http://download.sourceforge.net/beye/%{name}-%{versrc}-src.tar.bz2
#patch0 sent upstream (Kharec)
Patch0:		biew610-fix-str-fmt.patch
Patch1:		biew610-generic_arch.patch

%description
BIEW (Binary vIEW) is a free, portable, advanced file viewer with
a built-in editor for binary, hexadecimal and disassembler modes.

It contains a highlighting Athlon64/Prescott/K7-Athlon/Cyrix-M2 disassembler,
full preview of the MZ, NE, PE, LE, LX, DOS.SYS, NLM, ELF, a.out, arch,
coff32, PharLap, rdoff executable formats, a code guider, and a lot of
other features, making it invaluable for examining binary code.

%prep
%setup -q -n %{name}-%{versrc}
%autopatch -p0

%build
%ifarch %{ix86} x86_64
export CFLAGS="%{optflags} -mmmx -msse"
export CXXFLAGS=$CFLAGS
%endif
%configure2_5x \
	--enable-curses
%make TARGET_OS=linux USE_MOUSE=n

%install
install -d %{buildroot}{%{_bindir},%{_datadir}/%{name},%{_mandir}/man1}

install -m 755 biew %{buildroot}%{_bindir}/%{name}
cp -a bin_rc/{xlt,skn,*.hlp} %{buildroot}%{_datadir}/%{name}
install doc/biew.1 %{buildroot}%{_mandir}/man1

%files
%doc doc/biew_en.txt doc/biew_ru.txt doc/unix.txt doc/release.txt
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_mandir}/man?/%{name}.1*


%changelog
* Mon Jul 04 2016 pterjan <pterjan> 6.1.0-10.mga6
+ Revision: 1038649
- Fix build on many arches

* Fri Feb 19 2016 umeabot <umeabot> 6.1.0-9.mga6
+ Revision: 969766
- Mageia 6 Mass Rebuild

* Wed Sep 09 2015 neoclust <neoclust> 6.1.0-8.mga6
+ Revision: 874980
- Fix build with new rpm ( empty debuginfo)

* Wed Oct 15 2014 umeabot <umeabot> 6.1.0-7.mga5
+ Revision: 744463
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 6.1.0-6.mga5
+ Revision: 678149
- Mageia 5 Mass Rebuild

* Sat May 03 2014 shlomif <shlomif> 6.1.0-5.mga5
+ Revision: 619859
- Correct some typos and removed ExclusiveArch

* Sun Mar 09 2014 wally <wally> 6.1.0-4.mga5
+ Revision: 601560
- use source tarball from upstream
- clean .spec

* Fri Jan 11 2013 umeabot <umeabot> 6.1.0-3.mga3
+ Revision: 346901
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 boklm <boklm> 6.1.0-2.mga3
+ Revision: 343936
- remove unused macros

* Sun Jun 12 2011 kharec <kharec> 6.1.0-1.mga2
+ Revision: 104890
- imported package biew

